EasypanelDocs

Update a domain

Replaces an authorized domain mapping and updates the Traefik configuration.

POST
/updateDomain

Replaces an authorized domain mapping and updates the Traefik configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/updateDomain" \  -H "Content-Type: application/json" \  -d '{    "certificateResolver": "string",    "host": "string",    "https": true,    "id": "string",    "middlewares": [      "string"    ],    "path": "string",    "wildcard": true,    "destinationType": "service",    "serviceDestination": {      "port": 1,      "projectName": "string",      "protocol": "http",      "serviceName": "string"    }  }'
null